<?php
/**
 * 商品分类管理
 * $Id: product_category_change_display_order.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wulk
 * @access public
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$mst_id = ParamUtil::getRequestNumber("mst_id", 0);
$dat_id = ParamUtil::getRequestNumber("dat_id", 0);
$examination_dat = ExaminationDat::getById($dat_id);
if ($examination_dat == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

$type = ParamUtil::getRequestString("type", "up");




// 排序
$param = array();
$param["delete_flg"] = false;
$param["id_NOT"] = $dat_id;
$param["examination_mst_id"] = $examination_dat->examination_mst_id;
if ($type == "up") {
	$param["display_order_MAX"] = $examination_dat->display_order;
	$tmp_list = ExaminationDat::getList($param, "display_order", "desc", 0, 1);
} else {
	$param["display_order_MIN"] = $examination_dat->display_order;
	$tmp_list = ExaminationDat::getList($param, "display_order", "asc", 0, 1);
}

if (count($tmp_list) == 1) {
	//临时保存
	$display_order = $examination_dat->display_order;
	$examination_dat->display_order = $tmp_list[0]->display_order;
	$examination_dat->save();
	
	$tmp_list[0]->display_order = $display_order;
	$tmp_list[0]->save();
}

// 跳到一览页
header("Location:examination_dat_list.php?id=" . $mst_id);
exit;
?>